package Credentials;

public class PlonkTest {

  private final String server = "https://demo.m3lab.de"; // add your Keycloak-URL here (without /auth)
  private final String realm = "Dokutool"; // the name of the realm
  private final String grantType = "password"; // the granttype, with password you can login as a normal user
  private final String clientId = "dokutool-postman"; // the name of the client you created in Keycloak
  private final String clientSecret = "d102ee78-697d-4d1c-903b-f5883af2cf17"; // the secret you copied earlier
  private final String username = "demo"; // the username of the user you want to test with
  private final String password = "demo"; // the password of the user you want to test with

  public String getServer() {
    return server;
  }

  public String getRealm() {
    return realm;
  }

  public String getGrantType() {
    return grantType;
  }

  public String getClientId() {
    return clientId;
  }

  public String getClientSecret() {
    return clientSecret;
  }

  public String getUsername() {
    return username;
  }

  public String getPassword() {
    return password;
  }
}
